<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>JS6</title>
</head>
<body>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
  <script>

        function createNewUser(){
            
            let user = {
                
                getLogin : function(){
                  alert((this.firstName.slice(0, 1) + this.lastName).toLowerCase());
                },
                
                setFirstName : function(){
                  Object.defineProperty(this, 'firstName', {
                  writable:  true,
                  enumerable: true,
                  value: prompt('Введите имя: ',''),
                  writable:  false,
                  enumerable: false,
                });
                },
                
                setLastName : function(){
                  Object.defineProperty(this, 'lastName', {
                  writable:  true,
                  enumerable: true,
                  value: prompt('Введите фамилию: ',''),
                  writable:  false,
                  enumerable: false,
                });
                }
                      
            }; 
            
            Object.defineProperty(user, 'firstName', {
              value: prompt('Введите имя: ',''),
              writable:  false,
              enumerable: false,
              configurable: true
            });
            
            Object.defineProperty(user, 'lastName', {
              value: prompt('Введите фамилию: ',''),
              writable:  false,
              enumerable: false,
              configurable: true
            });
            
            return user;
        }
      
      let user1 = new createNewUser();
     
//      user1['firstName'] = 10;
//      for(let key in user1){
//          console.log(user1[key]);
//      }
//      
      user1.getLogin();
      console.log(user1);
      user1.setFirstName();
      user1.setLastName();
      user1['firstName'] = 10;
      user1['lastName'] = 10;
      console.log(user1);
      
      
        
  </script>
</body>
</html>